    processor 16f18446
    #include <xc.inc>
    config "FEXTOSC" = "OFF"
    config "RSTOSC" = "HFINT32"
    config "CLKOUTEN" = "OFF"
    config "CSWEN" = "OFF"
    config "FCMEN" = "OFF"
    config "MCLRE" = "OFF"
    config "PWRTS" = "OFF"
    config "LPBOREN" = "OFF"
    config "BOREN" = "OFF"
    config "BORV" = "HI"
    config "ZCD" = "OFF"
    config "PPS1WAY" = "OFF"
    config "STVREN" = "OFF"
    config "WDTCPS" = "WDTCPS_18"
    config "WDTE" = "OFF"
    config "WDTCWS" = "WDTCWS_7"
    config "WDTCCS" = "HFINTOSC"
    config "BBSIZE" = "BB8K"
    config "BBEN" = "OFF"
    config "SAFEN" = "OFF"
    config "WRTAPP" = "OFF"
    config "WRTB" = "OFF"
    config "WRTC" = "OFF"
    config "WRTD" = "OFF"
    config "WRTSAF" = "OFF"
    config "LVP" = "ON"
    config "CP" = "OFF"

    
;define eeprom data
PSECT edata
symbols:
	db  0x01,0x02,0x05
datachar:
	dw  0x03, 0x04
bytes:    db  "a terminated string", 0

PSECT code
abcd:	db  "a terminated string", 0
	dw  0x55aa
	ddw 0x34aaaa55
	
;define share register
PSECT udata_shr
PROG_DATA_LO: 
        ds	1
PROG_DATA_HI:
	ds	1

;define varible to bank0	
PSECT udata_bank0    
    
PSECT resetVec, class=CODE,delta=2    
resetVec:
	pagesel	start 
	goto start  
	
PSECT	code
start:
;clear data memory with trandition
	clrf	FSR0H 
	movlw	0x20 
	movwf	FSR0L
loop:	clrf	INDF0 
	incf	FSR0L,F 
	btfss	FSR0L,7 
	goto	loop

;set data memory to 0xff with FSR, to compare with trandition	
	clrf	FSR0H 
	movlw	0x20 
	movwf	FSR0L
	movlw	0xff
loopa:	movwi	FSR0++ 
	btfss	FSR0L,7 
	goto	loopa
	
; using linear data memory
	movlw	0x20
	movwf	FSR0H 
	clrf	FSR0L
	movlw	0x55
loopb:	
	movwi	FSR0++ 
	btfss	FSR0L,7 
	goto	loopb	
	

;using lookup table to read flash memory
	movlw 	5
	pagesel SevenSegmentDecode
	call	SevenSegmentDecode
	movwf	PORTB

;using FSR to read flash memory
	MOVLW LOW constants
	MOVWF FSR1L
	MOVLW HIGH (constants|0x8000) 
	MOVWF FSR1H
	MOVIW 2[FSR1] ;DATA2 IS in W

;using NVM to read flash memory
	BANKSEL NVMADRL ; Select Bank for NVMCON registers
	MOVLW low constants ;
	MOVWF NVMADRL ; Store LSB of address
	MOVLW high constants ;
	MOVWF NVMADRH ; Store MSB of address
	BCF	NVMREGS ; Do not select Configuration Space
	BSF	RD ; Initiate read
	
	MOVF	NVMDATL,W ; Get LSB of word
	MOVWF PROG_DATA_LO ; Store in user location
	MOVF	NVMDATH,W ; Get MSB of word
	MOVWF PROG_DATA_HI ; Store in user location
loop1:	
	nop 
	goto	loop1
	

	
SevenSegmentDecode:
	brw
	retlw	0b00111111 ;decode 0
	retlw	0b00000110 ;decode 1
	retlw	0b01011011 ;decode 2
	retlw	0b01001111 ;decode 3
	retlw	0b01100110 ;decode 4
	retlw	0b01101101 ;decode 5
	retlw	0b01111101 ;decode 6
	retlw	0b00000111 ;decode 7
	retlw	0b01111111 ;decode 8
	retlw	0b01101111 ;decode 9
	
constants:
	retlw	0x10 ;0b00111111 ;decode 0
	retlw	1 ;0b00000110 ;decode 1
	retlw	2 ;0b01011011 ;decode 2
	retlw	3 ;0b01001111 ;decode 3
	retlw	4 ;0b01100110 ;decode 4
	retlw	5 ;0b01101101 ;decode 5
	retlw	6 ;0b01111101 ;decode 6
	retlw	7 ;0b00000111 ;decode 7
	retlw	8 ;0b01111111 ;decode 8
	retlw	9 ;0b01101111 ;decode 9
	
	end	resetVec
	
	
    
    


