    processor 16f18446
    #include <xc.inc>
    config "FEXTOSC" = "OFF"	    ; enable or disable external oscillator or crystallor 
    config "RSTOSC" = "HFINT32"	    ; select internal RC 32MHz
    config "CLKOUTEN" = "ON"	    ; CLK output enable or disable
    config "CSWEN" = "ON"	    ; enable or disable NOSC & NDIV writeable
    config "FCMEN" = "OFF"	    ; suggest disable function at debug mode
    config "MCLRE" = "ON"	    ; MCLR enable or disable. When disable, can be input pin
    config "PWRTS" = "OFF"	    ; power up timer enable or disable. At design stage, suggest disable this function
    config "LPBOREN" = "OFF"	    ; low power BOR enable or disable. At design stage, suggest disable this function
    config "BOREN" = "OFF"	    ; BOR enable or disable. At design stage, suggest disable this function
    config "BORV" = "HI"	    ; BOR voltage level high or low
    config "ZCD" = "OFF"	    ; enable or disable ZCD function at power on reset
    config "PPS1WAY" = "OFF"	    ; peripheral pin select only one way or always can be repearted. At design stage, suggest enable this function 
    config "STVREN" = "OFF"	    ; stack overflow or underflow cause chip reset. I like to enable this function
    config "WDTCPS" = "WDTCPS_18"   ; WDT period select
    config "WDTE" = "OFF"	    ; WDT disable, At design stage, suggest disable this function
    config "WDTCWS" = "WDTCWS_7"    ; if WDT disable, don't care these bits
    config "WDTCCS" = "HFINTOSC"    ; WDT clock source select,if WDT disable, don't care these bits 
    config "BBSIZE" = "BB8K"	    ; boot block size select bits. If boot block disable,don't care these bits 
    config "BBEN" = "OFF"	    ; enable or disable boot block
    config "SAFEN" = "OFF"	    ; store area flash enable or disable
    config "WRTAPP" = "OFF"	    ; application block write protection
    config "WRTB" = "OFF"	    ; boot block write protection
    config "WRTC" = "OFF"	    ; configuration register write protection
    config "WRTD" = "OFF"	    ; Data EEPROM write protection
    config "WRTSAF" = "OFF"	    ; store area flash write protection
    config "LVP" = "ON"		    ; Low Voltage Programming Enable bit
    config "CP" = "OFF"		    ; UserNVM Program memory code protection bit

#define VAL_US  249
d_200	equ	200

PSECT	udata
count:	ds	1
c_200:	ds	1
    
PSECT resetVec, class=CODE,delta=2    
resetVec:
	pagesel	start 
	goto start  
	
;PSECT	code
	org 0x10
start:

; configuration set OSC = 32MHz, has to divide 8, then OSC = 4MHz
	banksel	OSCCON1
	movlw	0b01100011
	movwf	OSCCON1
; waiting OSC switch ready	
wait:	
	btfss	ORDY
	goto	wait

;set I/O pin to be digital or analog IO	
	banksel	ANSELA
; To Do
; set all port A pin as digital IO pin
; set all port B pin as digital IO pin	
				    ; set all Port A as digital I/O
				    ; set all port B as digital I/O
	movlw	0b00001000
	movwf	ANSELC

; disable weak pull-up	
	clrf	WPUA
	clrf	WPUB
	clrf	WPUC

; enable or disable open-drain	
	clrf	ODCONA
	movlw	0b01010000	; RB6 & RB4 are I2C interface
	movwf	ODCONB
	clrf	ODCONC

; enable or disable low slew rate	
	clrf	SLRCONA
	movlw	0b01010000	; RB6 & RB4 are I2C interface
	movwf	SLRCONB
	clrf	SLRCONC

; select ST or TTL input, 1=ST input, 0=TTL input	
	movlw	0xff
	movwf	INLVLA
	movwf	INLVLB
	movwf	INLVLC
	
	banksel PORTA
	clrf	PORTA
	clrf	PORTB
	clrf	PORTC
	
	clrf	LATA
	clrf	LATB
	clrf	LATC

; select I/O pin be input or output, 1=input, 0=output	
	movlw	0b11001011
	movwf	TRISA
	movlw	0b01111111
	movwf	TRISB
	movlw	0b00011011
	movwf	TRISC	
	
repeat:
;To Do
    
				;set RA2 output high
	call	delay_200ms ;
;To Do	
				;set RA2 output low
	call	delay_200ms ;
	goto	repeat

delay_200ms:
; To Do
				;move delay value to W register
	movwf	c_200
loop_1:	
	call	delay_1ms
;To Do	
; decrease varible by 1 and check is =0 ?	
				;
	goto	loop_1
	return

delay_1ms:
	movlw	VAL_US	    ; 1us
	movwf	count	    ; 1us
dec_loop:  
	nop		    ; 1us
	decfsz    count,f	    ; count=0, 2us
			    ; count>0, 1us
	goto	dec_loop    ; 2us
	return		    ; 2us
	
	end	resetVec